
TYPO3.Flow - Bug # 43590

Status: Resolved Priority: Must have
Author: Robert Lemke Category: Session
Created: 2012-12-04 Assigned To: Robert Lemke
Updated: 2012-12-05 Due date:
PHP Version: 5.3
Has patch: No
Complexity:
Affected Flow version: Git 1.2 (master)
Subject: Session initialization fails in functional test cases
Description

A functional test case relying on the session framework fails with the following error:

Fatal error: Call to a member function setCookie() on a non-object in TYPO3_Flow_Session_Session_Original.php on line 236

Associated revisions
Revision 5629be5b - 2012-12-05 12:09 - Robert Lemke

[BUGFIX] Fix session usage in functional test cases

This fixes a bug in the FunctionalTestCase which resulted in a fatal
error in Session->start().

Testable HTTP is now always enabled. The enableTestableSecurity() method
(deprecated since 1.1) has been removed as well.

Change-Id: I6a2b2d51fe141f095751f10ebdfac53437f3ba33
Fixes: #43590
Releases: 1.2

History
#1 - 2012-12-04 16:41 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16957

#2 - 2012-12-05 12:09 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16957

#3 - 2012-12-05 16:37 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:5629be5b6e0135d087f64170cf7b4b6cac31adfb.
